%def_enable static
%def_enable shared
%def_with pic

Name: nas
Version: 1.9
Release: alt1
Summary: Network Audio System - a portable, network-transparent audio system
Group: Sound
License: distributable
URL: http://radscan.com/nas.html
Source0: http://nas.codebrilliance.com/nas/%name-%version.src.tar.bz2
Source1: nasd.xinit
Patch: %name-1.6-alt-shared-libs.patch

# Automatically added by buildreq on Sat Mar 31 2007
#BuildRequires: flex gcc-c++ gccmakedep imake libXaw-devel linux-libc-headers packages-info-i18n-common xorg-cf-files zlib-devel

BuildRequires: flex gcc-c++ gccmakedep libXaw-devel zlib-devel imake
BuildRequires: xorg-cf-files >= 1.0.1-alt5
%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.


%package -n nasd
Summary: Network Audio System Daemon
Group: Sound


%description -n nasd
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.


%package -n libaudio
Summary: Network Audio System client library
Group: Sound

%description -n libaudio
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains NAS client library.


%package -n libaudio-devel
Summary: NAS client library - development headers
Group: Development/C
Requires: libaudio = %version-%release

%description -n libaudio-devel
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains development headers for NAS client library.


%if_enabled static
%package -n libaudio-devel-static
Summary: NAS client library - static library
Group: Development/C
Requires: libaudio-devel = %version-%release

%description -n libaudio-devel-static
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains static version of NAS client library.
%endif


%package utils
Summary: Network Audio System utilites
Group: Sound
Requires: libaudio = %version-%release

%description utils
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains miscellaneous NAS client utilites.


%package examples
Summary: Network Audio System examples
Group: Sound
Requires: libaudio = %version-%release

%description examples
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.


%package doc
Summary: Network Audio System documentation
Group: Books/Computer books
# Hack to have same versions of all packages
Conflicts: nasd < %version-%release
Conflicts: nasd > %version-%release
Conflicts: libaudio < %version-%release
Conflicts: libaudio > %version-%release

%description doc
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.


%prep
%setup -q
%patch -p1


%build
xmkmf
pushd config
%configure \
    --with-gnu-ld \
    %{subst_enable static} \
    %{subst_enable shared} \
    %{subst_with pic}
popd
%make BOOTSTRAPCFLAGS="%optflags" CDEBUGFLAGS="%optflags" CXXDEBUGFLAGS="%optflags" World


%install
%make_install DESTDIR=%buildroot install install.man
mv %buildroot%_sysconfdir/nas/nasd.conf.eg %buildroot%_sysconfdir/nas/nasd.conf
install -pD -m 0755 %SOURCE1 %buildroot%_sysconfdir/X11/xinit.d/nasd
bzip2 --keep --force --best HISTORY


%post -n libaudio -p %post_ldconfig
%postun -n libaudio -p %postun_ldconfig


%files -n nasd
%config(noreplace) %_sysconfdir/nas/nasd.conf
%_sysconfdir/X11/xinit.d/nasd
%_bindir/nasd
%_man1dir/nasd.1*
%_man5dir/*


%files -n libaudio
%_libdir/libaudio.so.*
%_datadir/X11/AuErrorDB


%files -n libaudio-devel
%_libdir/libaudio.so
%_includedir/audio
%_man3dir/*


%if_enabled static
%files -n libaudio-devel-static
%_libdir/libaudio.a
%endif


%files utils
%_bindir/au*
%_man1dir/au*
%_man1dir/nas.1*


%files examples
%_bindir/checkmail
%_bindir/issndfile
%_bindir/playbucket
%_bindir/soundtoh
%_man1dir/checkmail.1*
%_man1dir/issndfile.1*
%_man1dir/playbucket.1*
%_man1dir/soundtoh.1*


%files doc
%doc BUGS FAQ HISTORY.* README TODO
%doc doc/actions doc/*.txt doc/*.ps doc/pdf


%changelog
* Wed May 23 2007 Led <led@altlinux.ru> 1.9-alt1
- rebuild for Sisyphus

* Wed May 09 2007 Led <led@altlinux.ru> 1.9-alt0.1
- 1.9
- updated BuildRequires
- cleaned up spec

* Thu Feb 09 2006 Anton Farygin <rider@altlinux.ru> 1.7b-alt1.1
- NMU: fixed build for x86_64

* Sat Jan 28 2006 Sir Raorn <raorn@altlinux.ru> 1.7b-alt1
- [1.7b]
- Rebuilt with new Xorg, buildreqs updated

* Thu Sep 16 2004 Sir Raorn <raorn@altlinux.ru> 1.6e-alt1
- [1.6e]

* Fri Mar 26 2004 Sir Raorn <raorn@altlinux.ru> 1.6c-alt1.1
- --with/--without static

* Thu Mar 25 2004 Sir Raorn <raorn@altlinux.ru> 1.6c-alt1
- [1.6c]

* Fri Jun 13 2003 Sir Raorn <raorn@altlinux.ru> 1.6-alt2
- Oops! Forgot to add nasd.xinit to filelist...

* Thu Jun 12 2003 Sir Raorn <raorn@altlinux.ru> 1.6-alt1
- Built for Sisyphus
- Patches from Debian package by Steve McIntyre <93sam AT debian DOT org>:
  * Fixed typo in Xtutil.h. Thanks to Stephen J. Turnbull. Sent upstream too.
  * Backed out the previous change - it didn't help. The real problem was
    lonking libaudio with libXau, which isn't necessary or possible on Debian.
    Removed the -lXau for the libaudio build, and all seems to work now.
  * Fix so nas build with latest version of bison.


